package com.gamedog.vididin.features.zero


import android.app.Activity
import android.content.Context
import com.ama.core.architecture.util.setOnClickBatch
import com.ama.core.architecture.widget.BindingDialog
import com.gamedog.vididin.databinding.DialogZeroBuyFailBinding as ViewBinding
import com.gamedog.vididin.router.Router


class ZeroBuyFailDialog(context: Activity) : BindingDialog<ViewBinding>(context, ViewBinding::inflate) {

    init {
        build()
    }


    private fun build() {
        with()
        setCenter()
        setMaskValue(0.8f)
        setCanCancel(false)

        mBinding.run {
            setOnClickBatch(tvConfirm, ivClose) {
                when (this) {
                    tvConfirm, ivClose ->  {
                        dismiss()
                    }
                }
            }
        }
    }

    private fun gotoWatchVideo() {
        Router.Withdraw.startActivity(mActivity)
    }



}

